Skip to main content
Resource Center/Bare Metal Management (Plus)/Bare Metal Management Operations
PUTBare Metal Management OperationsSince 2.6.0SynchronousAuth Required

UpdateBaremetalInstance

UpdateBaremetalInstance

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the bare metal instance.

Body Fields

  • updatebaremetalinstanceObjectRequired

    updatebaremetalinstance request body object.

    • nameString

      Optional. The name of the bare metal instance.

    • descriptionString

      Optional. The detailed description of the bare metal instance.

    • passwordString

      Optional. The password of the bare metal instance.

    • platformString

      Optional. The system platform.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryBaremetalInstanceInventoryRequired

    See inventory

    • uuidStringRequired

      The UUID of the bare metal instance.

    • nameStringRequired

      The name of the bare metal instance.

    • descriptionStringRequired

      The detailed description of the bare metal instance.

    • zoneUuidStringRequired

      The zone UUID.

    • clusterUuidStringRequired

      The cluster UUID.

    • pxeServerUuidStringRequired

      No description provided.

    • chassisUuidStringRequired

      The UUID of the bare metal chassis.

    • imageUuidStringRequired

      The image UUID.

    • platformStringRequired

      The system platform.

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      The time when the bare metal instance was created.

    • lastOpDateTimestampRequired

      The time when the bare metal instance was last modified.

    • bmNicsListRequired

      See bmNics

      • uuidStringRequired

        The UUID of the NIC of the bare metal instance.

      • baremetalInstanceUuidStringRequired

        The UUID of the bare metal instance.

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • baremetalBondingUuidStringRequired

        The network bonding UUID.

      • macStringRequired

        The MAC address of the bare metal instance.

      • ipStringRequired

        The IP address of the bare metal instance.

      • netmaskStringRequired

        The netmask of the bare metal instance.

      • gatewayStringRequired

        The gateway of the bare metal instance.

      • metadataStringRequired

        附加元数据。

      • pxeBooleanRequired

        Indicates whether the bare metal instance was PXE boot by using its NIC.

      • createDateTimestampRequired

        The time when the bare metal instance was created.

      • lastOpDateTimestampRequired

        The time when the bare metal instance was last modified.

Endpoint

PUT/zstack/v1/baremetal/instances/{uuid}/actions

/zstack/v1/baremetal/instances/{uuid}/actions

Operation ID

UpdateBaremetalInstance

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/baremetal/instances/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatebaremetalinstance":{"name":"<name>","description":"<description>","password":"<password>","platform":"<platform>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "30073bc1b10e3b5eba5db9e54436b1dd", "name": "BM-1", "description": "This is a baremetal instance.", "zoneUuid": "99b8c0883a563feb849fe7c6b0b0b97d", "clusterUuid": "38324d028b28352fad5236f861ba7aeb", "chassisUuid": "692781dfb73d32d5907ef33199d97db6", "imageUuid": "a54bab6133d83045a8941368520eff77", "platform": "Linux", "state": "Stopped", "status": "Provisioned", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "bmNics": [ { "uuid": "5233971bebdd352c9d708617a23311a4", "baremetalInstanceUuid": "30073bc1b10e3b5eba5db9e54436b1dd", "l3NetworkUuid": "dce0c157a45d38209afbb615743435aa", "mac": "6c:b3:11:1b:0b:1e", "ip": "192.168.0.10", "netmask": "255.255.255.0", "gateway": "192.168.0.1", "pxe": false } ] } }

Change History

This API has no change history records yet.

View all change history